Deletes a user from user_id and tenant (deprecated)

DELETE /users/{userId}

Operation id: UserService_DeleteUser

Description

[Deprecated: Please use the Bulk Delete Users API.] Deletes a user from user_id and tenant.

Tags: UserService

Parameters

Path parameters

NameTypeRequiredDescription
userIdstringYesuser_id of the user to delete, Required: true

Query parameters

NameTypeRequiredDescription
domainstringNodomain of the user to fetch, Required: false
permanentDeletebooleanNoPermanently delete user if set to true, Required : false, Default : false
scopestringNoUser scope (ZPA, Reflexis, etc), Required : false User will be disabled for the provided scope, if no scope given then user will be disabled for all scopes. Useful only when permanent delete is false.
tenantIdstringNotenant of the user to delete, Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

{
  "type": "object",
  "properties": {}
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}